BTShare

Share settings

Share settings is a function that allows Bluetooth-related information to be shared with all users able to log onto the same computer. The type of information that can be shared refers to information registered in Bluetooth Settings, information in Options settings, and link key information. You can configure this function to limit the actions of restricted users.

Share settings will not be displayed in the environment of a restricted user, nor will it be displayed.

Procedure
  1. Right-click on the Bluetooth wireless technology icon in the
    notification area, and select the [IT Admin] tab under [Options]

    The [Share settings]- [Settings] button will be displayed.

  2. Clicking on the [Settings] button will bring up the [Share settings] screen, where you will be able to configure the settings shown below

    The following options are available.

Function Descrpition

Bluetooth Share settings

Share registration information with all users
Checking this box will allow registration information inBluetooth Settings to be shared by all users, and will also allow you to access the Advanced settings option.
Note

Unchecking the box will disable sharing of registration information, and will allow you to remove the registration information of other users. In some instances, this may prevent a registered Bluetooth device from being used. You will need to re-register the device in such circumstances.

Allow restricted users to be registered, removed, or changed Checking this box will enable restricted users to perform the following actions under Bluetooth Settings:
  • Register a new device
  • Delete a registered device
  • Change Advanced settings
Share Options settings with all users
Checking this box allows Options settings to be shared with all users.

Allow restricted users to change Options settings Checking this box allows restricted users to change Options settings.
Note

The following will not be shared, regardless of which setting has been selected:

  • [Bluetooth Information Exchanger]-[Settings]
  • [Diagnostics]

Sharing registration information with all users

When Bluetooth Settings information is to be shared, the action will differ depending on the function, as shown below.

- Allow all Bluetooth Settings information to be shared, regardless of which setting has been configured.

  • Keyboard
  • Mouse

- Allow all Bluetooth Settings information to be shared

  • Stereo headphones/speaker
  • FAX
  • Headset/handsfree
  • LAN connection using an access point (SPP)

- Share all Bluetooth Settings information, but with some restrictions applied

  • Internet connection using a cellular phone (DUN)
  • LAN connection using an access point (LAP)
If a DUN or LAP connection has been registered using Bluetooth Settings, then a dial-up connection will not be shared if the user does not have administrator's privileges. When Bluetooth Settings is running on the computer used by the party on the other end of the dial-up connection, or when a connection has been established using the DUN or LAP connection icon, a prompting screen will appear. The settings should be configured from this screen.
A DUN or LAP connection created by a user who has administrator's privileges cannot be deleted by users who do not have such privileges.
  • Printing documents and images
Printer settings cannot be configured by users who do not have administrator's privileges, except in Windows Vista.
Therefore, if you wish to register a device in Bluetooth Settings, you will be shown a screen that prompts you to do so as an administrator.
Note

Depending on whether this function has been enabled or disabled, you will see a screen asking you to enter a Bluetooth passkey (PIN code) when services are being discovered.
If the function has been disabled, then when another user logs on and starts Bluetooth, the screen requiring the Bluetooth passkey (PIN code) to be entered will appear.